package com.goafanti.common.model;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class News {
	/**
	 * 主键
	 */
	private Long	id;

	/**
	 * 创建时间
	 */
	private Date	createTime;
	
	/**
	 * 创建时间
	 */
	private String	CreateTimeS;
	

	/**
	 * 修改时间
	 */
	private Date	editTime;

	/**
	 * 标题
	 */
	private String	title;

	/**
	 * 题图url
	 */
	private String	titleImg;

	/**
	 * 作者
	 */
	private String	author;

	/**
	 * 类型
	 */
	private Integer	type;

	/**
	 * 是否放在首页
	 */
	private Integer	hot;

	/**
	 * 来源
	 */
	private String	source;

	/**
	 * 来源url
	 */
	private String	sourceUrl;

	/**
	 * 简介
	 */
	private String	summary;

	/**
	 * 内容
	 */
	private String	content;
	
	/**
	 * 是否属于军民融合 
	 */
	private Integer jmrhFlag;
	
	/**
	 *  新闻发布省份
	 */
	private Integer provinceId;
	
	/**
	 * 审核状态
	 */
	private Integer auditStatus;
	
	/**
	 * 是否发布
	 */
	private Integer releaseStatus;
	
	/**
	 * 置顶
	 */
	private Integer topNumber;
	
	/**
	 * 热门
	 */
	private Integer hotspot;
	
	@JsonFormat(shape = Shape.STRING)
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(Integer auditStatus) {
		this.auditStatus = auditStatus;
	}

	public Integer getReleaseStatus() {
		return releaseStatus;
	}

	public void setReleaseStatus(Integer releaseStatus) {
		this.releaseStatus = releaseStatus;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getEditTime() {
		return editTime;
	}

	public void setEditTime(Date editTime) {
		this.editTime = editTime;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTitleImg() {
		return titleImg;
	}

	public void setTitleImg(String titleImg) {
		this.titleImg = titleImg;
	}

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getHot() {
		return hot;
	}

	public void setHot(Integer hot) {
		this.hot = hot;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getSourceUrl() {
		return sourceUrl;
	}

	public void setSourceUrl(String sourceUrl) {
		this.sourceUrl = sourceUrl;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Integer getJmrhFlag() {
		return jmrhFlag;
	}

	public void setJmrhFlag(Integer jmrhFlag) {
		this.jmrhFlag = jmrhFlag;
	}

	public Integer getProvinceId() {
		return provinceId;
	}

	public void setProvinceId(Integer provinceId) {
		this.provinceId = provinceId;
	}

	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.createTime, AFTConstants.YYYYMMDD);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

	public String getCreateTimeS() {
		return CreateTimeS;
	}

	public void setCreateTimeS(String createTimeS) {
		CreateTimeS = createTimeS;
	}

	public Integer getTopNumber() {
		return topNumber;
	}

	public void setTopNumber(Integer topNumber) {
		this.topNumber = topNumber;
	}

	public Integer getHotspot() {
		return hotspot;
	}

	public void setHotspot(Integer hotspot) {
		this.hotspot = hotspot;
	}
	
	
}